<template>
  <mt-affichable :id="id" :affichage="affichage">
    <b-carousel v-model="slide" :autoplay="false" :arrow="false">
      <b-carousel-item>
        <mt-notif-slide1 @next="slide = 1" @close="$emit('close')"></mt-notif-slide1>
      </b-carousel-item>
      <b-carousel-item>
        <mt-notif-slide2 @next="slide = 2" @previous="slide = 0" @close="$emit('close')"></mt-notif-slide2>
      </b-carousel-item>
      <b-carousel-item>
        <mt-notif-slide3 @next="slide = 3" @previous="slide = 1" @close="$emit('close')"></mt-notif-slide3>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide4 @next="slide = 4" @previous="slide = 2" @close="$emit('close')"></mt-participer-slide4>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide5 @next="slide = 5" @previous="slide = 3" @close="$emit('close')"></mt-participer-slide5>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide6 @next="slide = 6" @previous="slide = 4" @close="$emit('close')"></mt-participer-slide6>
      </b-carousel-item>
      <b-carousel-item>
        <mt-participer-slide7 @previous="slide = 7" @close="$emit('close')"></mt-participer-slide7>
      </b-carousel-item>
    </b-carousel>
  </mt-affichable>
</template>

<script>
import MtNotifSlide1 from '~/components/nouveaute/evol20210804/slide1';
import MtNotifSlide2 from '~/components/nouveaute/evol20210804/slide2';
import MtNotifSlide3 from '~/components/nouveaute/evol20210804/slide3';
import MtParticiperSlide4 from '~/components/nouveaute/evol20210804/slide4';
import MtParticiperSlide5 from '~/components/nouveaute/evol20210804/slide5';
import MtParticiperSlide6 from '~/components/nouveaute/evol20210804/slide6';
import MtParticiperSlide7 from '~/components/nouveaute/evol20210804/slide7';
import MtAffichable from '~/components/nouveaute/affichable';

export default {
  name: 'MtNouveauteNotificationEtParticiper',
  components: {
    MtAffichable,
    MtParticiperSlide7,
    MtParticiperSlide6,
    MtParticiperSlide5,
    MtParticiperSlide4,
    MtNotifSlide3,
    MtNotifSlide2,
    MtNotifSlide1,
  },
  props: {
    affichage: {
      type: Array,
      default: () => [],
      required: true,
    },
    id: {
      type: String,
      default: '04/08/2021',
      required: true,
    },
  },
  data() {
    return {
      slide: 0,
    };
  },
};
</script>

<style scoped lang="scss">
/deep/ {
  .mt-close {
    display: none;
  }
  .mt-modal {
    padding: 0;
  }
}
</style>
